<?php 
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
add_event_handler('render_element_content', 'AI_jQuery_change_picture', 40, 2 );

global $conf;
if ( !isset($conf['AI jQuery On name']) )
  { $conf['AI jQuery On name'] = '_360'; }
if ( !isset($conf['AI jQuery speed']) )
  { $conf['AI jQuery speed'] = 'slow'; }
if ( !isset($conf['AI jQuery timeout']) )
  { $conf['AI jQuery timeout'] = '42200'; }
if ( !isset($conf['AI jQuery containerwidth']) )
  { $conf['AI jQuery containerwidth'] = '700'; }
if ( !isset($conf['AI jQuery animationSpeed']) )
  { $conf['AI jQuery animationSpeed'] = '45000'; }
if ( !isset($conf['AI jQuery displayTitle']) )
  { $conf['AI jQuery displayTitle'] = 'yes'; }  
if ( !isset($conf['AI jQuery controlBox']) )
  { $conf['AI jQuery controlBox'] = 'mycontrolboxclass'; } 
  
function AI_jQuery_add_scripts($height)
{
  global $template, $conf;
  $script = '
<script type="text/javascript" src="' . AI_JQUERY_PATH 
   . 'jquery.animated.innerfade/js/jquery.js"></script>
<script type="text/javascript" src="' . AI_JQUERY_PATH 
   . 'jquery.animated.innerfade/js/jquery.animated.innerfade.js">
</script>

<script type="text/javascript">
$(document).ready( function(){
   $(\'ul#animated-panorama\').animatedinnerfade({ 
    speed: \'' . $conf['AI jQuery speed'] . '\', 
    timeout:  ' . $conf['AI jQuery timeout'] . ', 
    type: \'sequence\', 
    containerheight: \'' . $height . 'px\', 
    containerwidth: \'' . $conf['AI jQuery containerwidth'] . 'px\', 
    animationSpeed: ' . $conf['AI jQuery animationSpeed'] . ', 
    animationtype: \'fade\',
	  bgFrame: \'' . AI_JQUERY_PATH . 'jquery.animated.innerfade/img/frame.png\',
	  controlBox: \'auto\',
	  controlBoxClass: \'' . $conf['AI jQuery controlBox'] . '\',
	  controlButtonsPath: \'' . AI_JQUERY_PATH . 'jquery.animated.innerfade/img\',
          displayTitle: \'' . $conf['AI jQuery displayTitle'] . '\'
    }); 
} ); 
</script>  
  ';
  $template->assign_block_vars(
      'head_element',
       array(
         'CONTENT' => $script,
    )
  );
}

function AI_jQuery_add_css()
{
  global $template, $conf;
  $css = '
<link rel="stylesheet" type="text/css" '
             . 'href="' . AI_JQUERY_PATH . 'AI_jQuery.css">  
<style type="text/css">  
.innerfade-title {
  background: transparent url(' 
    . AI_JQUERY_PATH . 'jquery.animated.innerfade/img/title-bg.png); }
ul#animated-panorama {
  width: ' . $conf['AI jQuery containerwidth'] . 'px; }
.bg-frame img { behavior: url(' 
  . AI_JQUERY_PATH . 'jquery.animated.innerfade/win_png.htc); }
</style>
  ';
  $template->assign_block_vars(
      'head_element',
       array(
         'CONTENT' => $css,
    )
  );
}

function AI_jQuery_change_picture($content, $image)
{
  global $conf, $template, $page;
  if ( !stristr($image['name'], $conf['AI jQuery On name']) )
    { return $content; }
  if (!isset($image['image_url']) or !empty($content))
  { // nothing to do or someone hooked us - so we skip;
    return $content;
  }
  $title = strtr(substr(strip_tags($image['comment']),0,72),'"',' ');
  if ( $title == '') { $conf['AI jQuery displayTitle'] = 'none'; }
  else { $title .= '...<br />('.$image['width'].'x'.$image['height'].')';   }
  AI_jQuery_add_scripts($image['height']);
  AI_jQuery_add_css();
  $template->set_filenames(
    array('ai_jquery_content'
    => AI_JQUERY_PATH . 'content.tpl')
    );
  $uuid = uniqid(rand());
  if (isset($image['high_url'])) {
    $img_url = "javascript:phpWGOpenWindow('" . $image['high_url'] 
             . "','". $uuid 
             . "','scrollbars=yes,toolbar=no,status=no,resizable=yes')";
    $img_url = $image['high_url'];
    $target = '_blank';
  }
  else {  
    $img_url = '#' ;
    $target = '_self';
  }

  if ( !isset($page['slideshow']) and isset($image['high_url']) )
  {
    $template->assign_block_vars(
      'high',
      array(
        'U_HIGH' => $image['high_url'],
        'UUID'   => $uuid,
        )
      );
  }
  $template->assign_vars( array(
      'SRC_IMG'     => $image['element_url'],
      'ALT_IMG'     => $image['file'],
      'WIDTH_IMG'   => $image['width'],
      'HEIGHT_IMG'  => $image['height'],
      'WIDTH_FRM'   => $conf['AI jQuery containerwidth'],
      'COMMENT_IMG' => $title,
      'U_HIGH'      => $img_url,
      'U_TRGT'      => $target,
      )
    );
  return $template->parse('ai_jquery_content', true);
} 
?>